import 'package:matrix_sdk/matrix_sdk.dart';
import 'package:url/url.dart';

void main() async {
  final homeserver = Homeserver(Url.parse('https://pattle.im'));

  final user = await homeserver.login(Username('pat'), 'pattle');

  await for(SyncState syncState in user.sync()) {
    await for (final room in user.rooms.all()) {
      // Do something
    }
  }
}
